## mender-configure 1.1.2

=== debian/changelog ===
mender-configure (1.1.2-2+ubuntu+noble) stable; urgency=medium

  * Release 1.1.2-2+ubuntu+noble. See online docs for complete changelog

 -- root <root@e0dabab836b3>  Fri, 10 Oct 2025 07:46:48 +0000

## mender-configure 1.1.3

=== debian/changelog ===
mender-configure (1.1.3-1+ubuntu+noble) stable; urgency=medium

  * Release 1.1.3-1+ubuntu+noble. See online docs for complete changelog

 -- root <root@e171cbd0c526>  Mon, 03 Nov 2025 12:10:50 +0000

## mender-configure 1.1.3-build3

=== debian/changelog ===
mender-configure (1.1.3-build3-1+ubuntu+noble) experimental; urgency=medium

  * Release 1.1.3-build3-1+ubuntu+noble. See online docs for complete
    changelog

 -- root <root@dea8ed174ce5>  Wed, 15 Oct 2025 13:57:35 +0000

## mender-configure 1.1.3-build4

=== debian/changelog ===
mender-configure (1.1.3-build4-1+ubuntu+noble) experimental; urgency=medium

  * Release 1.1.3-build4-1+ubuntu+noble. See online docs for complete
    changelog

 -- root <root@d36529ce80b0>  Tue, 28 Oct 2025 19:39:38 +0000

## mender-configure 1.1.3-build5

=== debian/changelog ===
mender-configure (1.1.3-build5-1+ubuntu+noble) experimental; urgency=medium

  * Release 1.1.3-build5-1+ubuntu+noble. See online docs for complete
    changelog

 -- root <root@2a9150dbe463>  Sat, 01 Nov 2025 19:02:31 +0000

## mender-configure 1.1.4

=== Makefile ===
DESTDIR ?= /
prefix ?= $(DESTDIR)
moduledir ?= /usr/share/mender/modules/v3
inventorydir ?= /usr/share/mender/inventory
scriptdir ?= /usr/lib/mender-configure/apply-device-config.d
systemd_unitdir ?= /lib/systemd

# No-op for this project
build:

# "check" is standard is autotools projects, make an alias.
check: test

test:
	$(MAKE) -C tests/unit test

install: install-bin install-systemd

install-bin:
	install -d -m 755 $(prefix)$(scriptdir)
	install -d -m 755 $(prefix)$(moduledir)
	install -m 755 src/mender-configure $(prefix)$(moduledir)/

	install -d -m 755 $(prefix)$(inventorydir)
	install -m 755 src/mender-inventory-mender-configure $(prefix)$(inventorydir)/

install-demo:
	install -d -m 755 $(prefix)$(scriptdir)
	install -m 755 demo/mender-demo-raspberrypi-led $(prefix)$(scriptdir)/

install-scripts:
	install -d -m 755 $(prefix)$(scriptdir)
	install -m 755 scripts/timezone $(prefix)$(scriptdir)/

install-systemd:
	install -m 755 -d $(prefix)$(systemd_unitdir)/system
	install -m 644 support/mender-configure-apply-device-config.service $(prefix)$(systemd_unitdir)/system/

uninstall: uninstall-bin uninstall-systemd

uninstall-bin:
	rm -f $(prefix)$(moduledir)/mender-configure
	rmdir -p --ignore-fail-on-non-empty $(prefix)$(moduledir)

	rm -f $(prefix)$(inventorydir)/mender-inventory-mender-configure
	rmdir -p --ignore-fail-on-non-empty $(prefix)$(inventorydir)

uninstall-demo:
	rm -f $(prefix)$(scriptdir)/mender-demo-raspberrypi-led
	rmdir -p --ignore-fail-on-non-empty $(prefix)$(scriptdir)

uninstall-scripts:
	rm -f $(prefix)$(scriptdir)/timezone
	rmdir -p --ignore-fail-on-non-empty $(prefix)$(scriptdir)

uninstall-systemd:
	rm -f $(prefix)$(systemd_unitdir)/system/mender-configure-apply-device-config.service
	rmdir -p --ignore-fail-on-non-empty $(prefix)$(systemd_unitdir)/system

.PHONY: build
.PHONY: check
.PHONY: install
.PHONY: install-bin
.PHONY: install-demo
.PHONY: install-scripts
.PHONY: install-systemd
.PHONY: test
.PHONY: uninstall
.PHONY: uninstall-bin
.PHONY: uninstall-demo
.PHONY: uninstall-scripts
.PHONY: uninstall-systemd

## mender-configure 1.1.4-build2

=== debian/changelog ===
mender-configure (1.1.4-build2-1+ubuntu+noble) experimental; urgency=medium

  * Release 1.1.4-build2-1+ubuntu+noble. See online docs for complete
    changelog

 -- root <root@9ea554ea99b9>  Thu, 12 Feb 2026 10:01:53 +0000

## mender-configure 1.2.0~git20250702.80e62d9

=== debian/changelog ===
mender-configure (1.2.0~git20250702.80e62d9-1+ubuntu+noble+builder1953274715) experimental; urgency=medium

  * Release 1.2.0~git20250702.80e62d9-1+ubuntu+noble+builder1953274715.
    See online docs for complete changelog

 -- root <root@089972bfd58f>  Mon, 28 Jul 2025 20:16:13 +0000

## mender-configure 1.2.0~git20250729.fd083d3

=== debian/changelog ===
mender-configure (1.2.0~git20250729.fd083d3-1+ubuntu+noble+builder1957898342) experimental; urgency=medium

  * Release 1.2.0~git20250729.fd083d3-1+ubuntu+noble+builder1957898342.
    See online docs for complete changelog

 -- root <root@ce6115c19b17>  Wed, 30 Jul 2025 20:16:48 +0000

## mender-configure 1.2.0~git20250731.5afb533

=== debian/changelog ===
mender-configure (1.2.0~git20250731.5afb533-1+ubuntu+noble+builder1960111270) experimental; urgency=medium

  * Release 1.2.0~git20250731.5afb533-1+ubuntu+noble+builder1960111270.
    See online docs for complete changelog

 -- root <root@6f49656d2688>  Thu, 31 Jul 2025 20:17:02 +0000

## mender-configure 1.2.0~git20250801.1eeb660

=== debian/changelog ===
mender-configure (1.2.0~git20250801.1eeb660-1+ubuntu+noble+builder1988264851) experimental; urgency=medium

  * Release 1.2.0~git20250801.1eeb660-1+ubuntu+noble+builder1988264851.
    See online docs for complete changelog

 -- root <root@d9b41c532d79>  Sun, 17 Aug 2025 20:17:02 +0000

## mender-configure 1.2.0~git20250818.6eb5102

=== debian/changelog ===
mender-configure (1.2.0~git20250818.6eb5102-1+ubuntu+noble+builder1997198446) experimental; urgency=medium

  * Release 1.2.0~git20250818.6eb5102-1+ubuntu+noble+builder1997198446.
    See online docs for complete changelog

 -- root <root@e249e53fa7ea>  Thu, 21 Aug 2025 20:16:27 +0000

## mender-configure 1.2.0~git20250822.4cea2f4

=== debian/changelog ===
mender-configure (1.2.0~git20250822.4cea2f4-1+ubuntu+noble+builder2025532715) experimental; urgency=medium

  * Release 1.2.0~git20250822.4cea2f4-1+ubuntu+noble+builder2025532715.
    See online docs for complete changelog

 -- root <root@002c4ee39939>  Sat, 06 Sep 2025 20:16:40 +0000

## mender-configure 1.2.0~git20250911.bdcd58a

=== debian/changelog ===
mender-configure (1.2.0~git20250911.bdcd58a-1+ubuntu+noble+builder2072824469) experimental; urgency=medium

  * Release 1.2.0~git20250911.bdcd58a-1+ubuntu+noble+builder2072824469.
    See online docs for complete changelog

 -- root <root@fe7019045c20>  Tue, 30 Sep 2025 20:19:14 +0000

## mender-configure 1.2.0~git20251001.c178c82

=== debian/changelog ===
mender-configure (1.2.0~git20251001.c178c82-1+ubuntu+noble+builder2101868185) experimental; urgency=medium

  * Release 1.2.0~git20251001.c178c82-1+ubuntu+noble+builder2101868185.
    See online docs for complete changelog

 -- root <root@296260b4117d>  Wed, 15 Oct 2025 20:18:11 +0000

## mender-configure 1.2.0~git20251016.803f52c

=== debian/changelog ===
mender-configure (1.2.0~git20251016.803f52c-1+ubuntu+noble+builder2133046722) experimental; urgency=medium

  * Release 1.2.0~git20251016.803f52c-1+ubuntu+noble+builder2133046722.
    See online docs for complete changelog

 -- root <root@ea5ae938081b>  Fri, 31 Oct 2025 20:17:06 +0000

## mender-configure 1.2.0~git20251101.c43e9a0

=== integration/mender_integration/extra/requirements.txt ===
PyYAML==6.0.2

=== debian/changelog ===
mender-configure (1.2.0~git20251101.c43e9a0-1+ubuntu+noble+builder2135542070) experimental; urgency=medium

  * Release 1.2.0~git20251101.c43e9a0-1+ubuntu+noble+builder2135542070.
    See online docs for complete changelog

 -- root <root@f36b867e7742>  Sun, 02 Nov 2025 20:17:09 +0000

## mender-configure 1.2.0~git20251103.fac7b32

=== debian/changelog ===
mender-configure (1.2.0~git20251103.fac7b32-1+ubuntu+noble+builder2142334790) experimental; urgency=medium

  * Release 1.2.0~git20251103.fac7b32-1+ubuntu+noble+builder2142334790.
    See online docs for complete changelog

 -- root <root@ee2d39cf8915>  Wed, 05 Nov 2025 20:30:02 +0000

## mender-configure 1.2.0~git20251107.1e4d583

=== debian/changelog ===
mender-configure (1.2.0~git20251107.1e4d583-1+debian+trixie+builder2238684358) experimental; urgency=medium

  * Release 1.2.0~git20251107.1e4d583-1+debian+trixie+builder2238684358.
    See online docs for complete changelog

 -- root <root@ab94d37d8c36>  Tue, 30 Dec 2025 20:16:22 +0000

=== debian/control ===
Source: mender-configure
Maintainer: Mender Team <mender@northern.tech>
Section: admin
Priority: optional
Standards-Version: 3.9.2
Build-Depends: debhelper (>= 9)

Package: mender-configure
Architecture: all
Depends: dbus, curl, mender-update | mender-client (>=2.5.0), ${misc:Depends}
Description: Mender Configure
 Mender Configure is a Mender add-on which enhances the Mender Client providing an Update
 Module to configure the device

Package: mender-configure-timezone
Architecture: all
Depends: mender-configure (= ${binary:Version}), jq, tzdata, ${misc:Depends}
Description: Mender Configure Timezone
 Mender Configure Timezone is an add-on to Mender Configure which enables configuration
 of timezone on the device

Package: mender-configure-demo
Architecture: all
Depends: mender-configure (= ${binary:Version}), mender-configure-timezone (= ${binary:Version}), jq, ${misc:Depends}
Description: Mender Configure Demo
 Mender Configure Demo is an add-on to Mender Configure which enables some demo
 configurations on the device

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_install:
	DESTDIR=debian/tmp make install install-scripts install-demo

override_dh_auto_test:
	true

## mender-configure 1.2.0~git20260105.4367097

=== integration/mender_integration/extra/requirements.txt ===
PyYAML==6.0.3

=== debian/changelog ===
mender-configure (1.2.0~git20260105.4367097-1+ubuntu+noble+builder2245970792) experimental; urgency=medium

  * Release 1.2.0~git20260105.4367097-1+ubuntu+noble+builder2245970792.
    See online docs for complete changelog

 -- root <root@66fe199b64dd>  Mon, 05 Jan 2026 20:16:39 +0000

## mender-configure 1.2.0~git20260106.a96e012

=== debian/changelog ===
mender-configure (1.2.0~git20260106.a96e012-1+ubuntu+noble+builder2250181196) experimental; urgency=medium

  * Release 1.2.0~git20260106.a96e012-1+ubuntu+noble+builder2250181196.
    See online docs for complete changelog

 -- root <root@ce1243e8f18f>  Wed, 07 Jan 2026 20:17:36 +0000

## mender-configure 1.2.0~git20260108.838694f

=== unit/Makefile ===
# "check" is standard is autotools projects, make an alias.
check: test

test:
	./test_module.sh
	./test_inventory.sh

=== integration/mender_test_containers/mender-dist-packages-building/requirements.txt ===
build-essential
dh-make
git
wget
curl
debhelper
devscripts
equivs
pkg-config
liblzma-dev
libssl-dev
libsystemd-dev
libglib2.0-dev

=== debian/changelog ===
mender-configure (1.2.0~git20260108.838694f-1+ubuntu+noble+builder2252445003) experimental; urgency=medium

  * Release 1.2.0~git20260108.838694f-1+ubuntu+noble+builder2252445003.
    See online docs for complete changelog

 -- root <root@b7d54a707a38>  Thu, 08 Jan 2026 20:17:32 +0000

## mender-configure 1.2.0~git20260109.e0d0d7b

=== debian/changelog ===
mender-configure (1.2.0~git20260109.e0d0d7b-1+ubuntu+noble+builder2263406116) experimental; urgency=medium

  * Release 1.2.0~git20260109.e0d0d7b-1+ubuntu+noble+builder2263406116.
    See online docs for complete changelog

 -- root <root@68715388bf03>  Wed, 14 Jan 2026 20:17:05 +0000

## mender-configure 1.2.0~git20260116.004d5c1

=== debian/changelog ===
mender-configure (1.2.0~git20260116.004d5c1-1+ubuntu+noble+builder2301553844) experimental; urgency=medium

  * Release 1.2.0~git20260116.004d5c1-1+ubuntu+noble+builder2301553844.
    See online docs for complete changelog

 -- root <root@e270cdfa7a82>  Mon, 02 Feb 2026 20:19:51 +0000

## mender-configure 1.2.0~git20260203.d129d4b

=== debian/changelog ===
mender-configure (1.2.0~git20260203.d129d4b-1+ubuntu+noble+builder2325138823) experimental; urgency=medium

  * Release 1.2.0~git20260203.d129d4b-1+ubuntu+noble+builder2325138823.
    See online docs for complete changelog

 -- root <root@0bd21dfd7248>  Fri, 13 Feb 2026 20:18:26 +0000
